Subject: Re: bug#22522: Commit b88e9cded7ae3756e3a2ec4a23e8df352a0239f9 breaks emacs dumping for me

From: Ken Brown <[email-masked]>
Date: Tue, 2 Feb 2016 19:09:40 -0500

On 2/2/2016 5:54 PM, Paul Eggert wrote:
> On 02/02/2016 02:08 PM, Ken Brown wrote:
>> Paul, I can ask on the Cygwin list whether this should be changed to
>> be more in line with other platforms.
>
> Yes it should.  Defining _GNU_SOURCE should make aligned_alloc visible
> regardless of whether -std=c99 is specified. This is because defining
> _GNU_SOURCE means, "Make GNU symbols visible even when compiling
> pedantically." This is OK, since the C standard says the behavior is
> undefined whenever the user defines a reserved symbol like _GNU_SOURCE.
>
>> In the meantime, what's the best way to deal with this?
>
> I installed the attached patch into the Emacs master, to try to work
> around this problem by putting GCC into C11 mode. Please give it a try.

No, that didn't fix it.  The snippet I posted from <sys/cdefs.h> still 
causes __ISO_C_VISIBLE to be defined as 1999.

What about an ad hoc temporary solution that simply defines 
__ISO_C_VISIBLE to be 2011 on Cygwin prior to the inclusion of 
<stdlib.h>?  Or do you have a better idea?

Ken

P.S. I've started a thread about this on the Cygwin mailing list.